package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.GuideTipImage;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.GuideTipImageMapper")
public interface GuideTipImageMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(GuideTipImage record);

    GuideTipImage selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(GuideTipImage record);

    List<GuideTipImage> queryAllGuideTipImage(GuideTipImage record);

    List<GuideTipImage> queryGuideTipImageByPage(Map<String, Object> parameter);

    int delete(GuideTipImage record);

    GuideTipImage queryGuideTipImage(GuideTipImage record);

    List<GuideTipImage> query(GuideTipImage record);
}

